Package org.jboss.resteasy.util

## Interface HttpHeaderNames

-     public interface HttpHeaderNames

  A list of Http Header names.
  Author:
    Ryan J. McDonough Feb 25, 2007

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACCEPT` |
    `static String` | `ACCEPT_CHARSET` |
    `static String` | `ACCEPT_ENCODING` |
    `static String` | `ACCEPT_LANGUAGE` |
    `static String` | `ACCEPT_PATCH` |
    `static String` | `ACCEPT_RANGES` |
    `static String` | `AGE` |
    `static String` | `ALLOW` |
    `static String` | `AUTHORIZATION` |
    `static String` | `CACHE_CONTROL` |
    `static String` | `CONNECTION` |
    `static String` | `CONTENT_ENCODING` |
    `static String` | `CONTENT_LANGUAGE` |
    `static String` | `CONTENT_LENGTH` |
    `static String` | `CONTENT_LOCATION` |
    `static String` | `CONTENT_MD5` |
    `static String` | `CONTENT_RANGE` |
    `static String` | `CONTENT_TYPE` |
    `static String` | `DATE` |
    `static String` | `ETAG` |
    `static String` | `EXPECT` |
    `static String` | `EXPIRES` |
    `static String` | `FROM` |
    `static String` | `HOST` |
    `static String` | `IF_MATCH` |
    `static String` | `IF_MODIFIED_SINCE` |
    `static String` | `IF_NONE_MATCH` |
    `static String` | `IF_RANGE` |
    `static String` | `IF_UNMODIFIED_SINCE` |
    `static String` | `LAST_MODIFIED` |
    `static String` | `LOCATION` |
    `static String` | `PRAGMA` |
    `static String` | `PROXY_AUTHENTICATE` |
    `static String` | `RANGE` |
    `static String` | `REFERER` |
    `static String` | `RETRY_AFTER` |
    `static String` | `SERVER` |
    `static String` | `SET_COOKIE` |
    `static String` | `TE` |
    `static String` | `TRAILER` |
    `static String` | `TRANSFER_ENCODING` |
    `static String` | `UPGRADE` |
    `static String` | `USER_AGENT` |
    `static String` | `VARY` |
    `static String` | `VIA` |
    `static String` | `WARNING` |
    `static String` | `WWW_AUTHENTICATE` |

- - ### Field Detail

    - #### ACCEPT

          static final String ACCEPT

      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET

          static final String ACCEPT_CHARSET

      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING

          static final String ACCEPT_ENCODING

      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE

          static final String ACCEPT_LANGUAGE

      See Also:
        Constant Field Values

    - #### ACCEPT_RANGES

          static final String ACCEPT_RANGES

      See Also:
        Constant Field Values

    - #### ACCEPT_PATCH

          static final String ACCEPT_PATCH

      See Also:
        Constant Field Values

    - #### AGE

          static final String AGE

      See Also:
        Constant Field Values

    - #### ALLOW

          static final String ALLOW

      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          static final String AUTHORIZATION

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          static final String CACHE_CONTROL

      See Also:
        Constant Field Values

    - #### CONNECTION

          static final String CONNECTION

      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          static final String CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE

          static final String CONTENT_LANGUAGE

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          static final String CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION

          static final String CONTENT_LOCATION

      See Also:
        Constant Field Values

    - #### CONTENT_MD5

          static final String CONTENT_MD5

      See Also:
        Constant Field Values

    - #### CONTENT_RANGE

          static final String CONTENT_RANGE

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### SET_COOKIE

          static final String SET_COOKIE

      See Also:
        Constant Field Values

    - #### DATE

          static final String DATE

      See Also:
        Constant Field Values

    - #### ETAG

          static final String ETAG

      See Also:
        Constant Field Values

    - #### EXPECT

          static final String EXPECT

      See Also:
        Constant Field Values

    - #### EXPIRES

          static final String EXPIRES

      See Also:
        Constant Field Values

    - #### FROM

          static final String FROM

      See Also:
        Constant Field Values

    - #### HOST

          static final String HOST

      See Also:
        Constant Field Values

    - #### IF_MATCH

          static final String IF_MATCH

      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          static final String IF_MODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          static final String IF_NONE_MATCH

      See Also:
        Constant Field Values

    - #### IF_RANGE

          static final String IF_RANGE

      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          static final String IF_UNMODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          static final String LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### LOCATION

          static final String LOCATION

      See Also:
        Constant Field Values

    - #### PRAGMA

          static final String PRAGMA

      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE

          static final String PROXY_AUTHENTICATE

      See Also:
        Constant Field Values

    - #### RANGE

          static final String RANGE

      See Also:
        Constant Field Values

    - #### REFERER

          static final String REFERER

      See Also:
        Constant Field Values

    - #### RETRY_AFTER

          static final String RETRY_AFTER

      See Also:
        Constant Field Values

    - #### SERVER

          static final String SERVER

      See Also:
        Constant Field Values

    - #### TE

          static final String TE

      See Also:
        Constant Field Values

    - #### TRAILER

          static final String TRAILER

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          static final String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### UPGRADE

          static final String UPGRADE

      See Also:
        Constant Field Values

    - #### USER_AGENT

          static final String USER_AGENT

      See Also:
        Constant Field Values

    - #### VARY

          static final String VARY

      See Also:
        Constant Field Values

    - #### VIA

          static final String VIA

      See Also:
        Constant Field Values

    - #### WARNING

          static final String WARNING

      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          static final String WWW_AUTHENTICATE

      See Also:
        Constant Field Values